<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ page import="java.sql.*"%>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.sql.DriverManager" %>
<%@ page import="java.sql.PreparedStatement" %>
<%@ page import="java.sql.ResultSet" %>
 

<% request.setCharacterEncoding("utf-8");%>



<% 
   String id = request.getParameter("id");
   String passwd= request.getParameter("password");
   String sql="";
   String delsql="";
   
   ResultSet rs=null;
   String str="";
   
   try{
	 
	   Class.forName("oracle.jdbc.driver.OracleDriver");
	   Connection  conn=DriverManager.getConnection("jdbc:oracle:thin:@168.126.146.45:1521:orcl","20172262","980930");
	   sql="select id from member_fin where id=?";
	   PreparedStatement pstmt=conn.prepareStatement(sql);
	   pstmt.setString(1, id);
	   rs=pstmt.executeQuery();
	  
	    
	    
		if(rs.next()){
			String rid=rs.getString("id");
			 
			if(id.equals(rid)){
				delsql="delete from member_fin where id=?";
				pstmt=conn.prepareStatement(delsql);
				pstmt.setString(1,id);
				pstmt.executeUpdate();
				
			}
			
		}
		rs.close();
		pstmt.close();
		conn.close();  
	 	 
 	 str= "정보가 삭제되었습니다.";
 	}catch(Exception e){ 
 		e.printStackTrace();
 		str="정보 삭제에 실패했습니다.";
	
 	}
 %>
<html>
<head>
<title>레코드 추가</title>
</head>
<body>
  <%=str %>  <p>
  
 <A href="http://localhost:8080/Project_봉민우.JSP_B_final_20172262/Project_봉민우.JSP_B_final_20172262/list.jsp">회원 정보 보기 </A>
  
</body>
</html>